%{!?ruby_sitelibdir: %define ruby_sitelibdir %(PATH=/opt/puppet/bin:$PATH ruby -e "puts RbConfig::CONFIG['sitelibdir']")}

%if "%{_os}" == "aix"
  %{!?_aix: %global _aix 1}
%endif

%global p_vendor       pe
%global _name          hiera
%global realversion    1.3.4.1
%global rpmversion     1.3.4.1

%if 0%{?p_vendor:1}
    %global name_prefix      %{p_vendor}-
    %{!?_real_sysconfdir:    %global _real_sysconfdir    /etc}
    %global _sysconfdir      %{_real_sysconfdir}/puppetlabs

    # Override the _prefix last, so we can get the _real_* locations.
    %{!?_orig_prefix:     %global _orig_prefix     %{_prefix}}
    %global               _prefix /opt/puppet
    %global               _mandir %{_prefix}/share/man
%endif

%if 0%{?_aix}
  %global               _symlinkdir /usr/bin
%else
  %global               _symlinkdir /usr/local/bin
%endif

%define ruby          %{_bindir}/ruby

Name:           %{?name_prefix}%{_name}
Version:        %{rpmversion}
Release:        1.pe%{?dist}
Vendor:         Puppet Labs
License:        PL Commercial
Group:          System Environment/Base
Summary:        A simple pluggable Hierarchical Database
URL:            http://projects.puppetlabs.com/projects/%{name}/
Source0:        http://downloads.puppetlabs.com/%{name}/%{name}-%{realversion}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires: %{?name_prefix}ruby
Requires:      %{?name_prefix}ruby
Requires:      %{?name_prefix}rubygem-deep-merge
Requires:      %{?name_prefix}rubygem-json
Conflicts:     %{?name_prefix}rubygem(hiera)
Conflicts:     %{?name_prefix}rubygem-hiera
Obsoletes:     %{?name_prefix}rubygem(hiera)
Obsoletes:     %{?name_prefix}rubygem-hiera

Provides:      %{name} = %{version}-%{release}

%description
A simple pluggable Hierarchical Database.

%prep
%setup -q  -n %{name}-%{realversion}


%build


%install
rm -rf $RPM_BUILD_ROOT
%{ruby} install.rb \
  --destdir=$RPM_BUILD_ROOT \
  --configdir=%{_sysconfdir}/puppet \
  --configs

# emacs and vim bits aren't installed and we remove packaging
# artifacts not applicable to rpm
for file in ips \
            debian \
            osx \
            redhat \
            build_defaults.yaml \
            project_data.yaml ; do
  rm -rf %{buildroot}%{_datadir}/%{_name}/ext/$file ;
done

mkdir -p %{buildroot}%{_symlinkdir}
ln -sf %{_prefix}/bin/hiera %{buildroot}%{_symlinkdir}/hiera

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/hiera
%{_symlinkdir}/hiera
%{ruby_sitelibdir}/hiera.rb
%{ruby_sitelibdir}/hiera
%config(noreplace) %{_sysconfdir}/puppet/hiera.yaml

%changelog
* Mon Oct 20 2014 Puppet Labs Release <info@puppetlabs.com> -  1.3.4.1-1
- Build for 1.3.4.1

* Tue Jun 11 2013 Jeff Weiss <jeff.weiss@puppetlabs.com> - 1.2.1-4.pe
- obsolete and conflict with pe-rubygem(hiera)

* Thu May 16 2013 Moses Mendoza <moses@puppetlabs.com> - 1.2.1-3.pe
- rename dependency on pe-rubygem-deep-merge

* Thu May 16 2013 Moses Mendoza <moses@puppetlabs.com> - 1.2.1-2.pe
- Add dependency on pe-rubygem-deep_merge

* Mon Apr 29 2013 Matthaus Owens <matthaus@puppetlabs.com> - 1.2.1-1.pe
- Update to Hiera 1.2.1
- Package as a library instead of a gem
- Conflict, Obsolete pe-rubygem-hiera

* Thu Apr 04 2013 Matthaus Owens <matthaus@puppetlabs.com> - 1.1.2-5.pe
- Apply hiera performance patch

* Wed Mar 20 2013 Matthaus Owens <matthaus@puppetlabs.com> - 1.1.2-4.pe
- Update patch with correct hiera.yaml location

* Wed Mar 20 2013 Matthaus Owens <matthaus@puppetlabs.com> - 1.1.2-3.pe
- Add patch to update hiera.yaml location for PE

* Mon Mar 11 2013 Moses Mendoza <moses@puppetlabs.com> - 1.1.2-2.pe
- Require json not json_pure in gemspec via sed in %%install

* Wed Jan 30 2013 Matthaus Owens <matthaus@puppetlabs.com> - 1.1.2-1.pe
- Update to upstream of 1.1.2

* Wed Mar 14 2012 Michael Stahnke <stahnma@puppetlabs.com> - 0.3.0-2.pe
- Update package to be more pe-based

* Mon Feb 13 2012 Michael Stahnke <stahnma@puppetlabs.com> - 0.3.0-1.pe
- Update to 0.3.0

* Wed Dec 14 2011 Cody Herriges <cody@puppetlabs.com> - 0.2.0-1.pe
- Initial Package
